#pragma once
#include <kiwano/kiwano.h>
using namespace kiwano;

/*
UI层为80000 - 90000
*/
class UiFrameWork : public Sprite
{
private:
	
public:
	virtual void Init();
	//事件
	void OnHoverEvent(Event* evt);
	void OnOutEvent(Event* evt);
	void RemoveZorder();

	//用于子类重载的事件下级调用
	virtual void OnHover();
	virtual void OnOut();
};

